# Constant Field Values

## Contents

- ch.qos.*

## ch.qos.*

ch.qos.logback.access.AccessConstants
Modifier and Type
Constant Field
Value
`public static final String`
`IMAGE_CONTENT_TYPE`
`"image/"`
`public static final String`
`IMAGE_GIF`
`"image/gif"`
`public static final String`
`IMAGE_JPEG`
`"image/jpeg"`
`public static final String`
`IMAGE_PNG`
`"image/png"`
`public static final String`
`LB_INPUT_BUFFER`
`"LB_INPUT_BUFFER"`
`public static final String`
`LB_OUTPUT_BUFFER`
`"LB_OUTPUT_BUFFER"`
`public static final String`
`LOGBACK_STATUS_MANAGER_KEY`
`"LOGBACK_STATUS_MANAGER"`
`public static final String`
`TEE_FILTER_EXCLUDES_PARAM`
`"excludes"`
`public static final String`
`TEE_FILTER_INCLUDES_PARAM`
`"includes"`
`public static final String`
`X_WWW_FORM_URLECODED`
`"application/x-www-form-urlencoded"`
ch.qos.logback.access.PatternLayout
Modifier and Type
Constant Field
Value
`public static final String`
`CLF_PATTERN`
`"%h %l %u [%t] \"%r\" %s %b"`
`public static final String`
`CLF_PATTERN_NAME`
`"common"`
`public static final String`
`CLF_PATTERN_NAME_2`
`"clf"`
`public static final String`
`COMBINED_PATTERN`
`"%h %l %u [%t] \"%r\" %s %b \"%i{Referer}\" \"%i{User-Agent}\""`
`public static final String`
`COMBINED_PATTERN_NAME`
`"combined"`
`public static final String`
`HEADER_PREFIX`
`"#logback.access pattern: "`

ch.qos.logback.access.pattern.AccessConverter
Modifier and Type
Constant Field
Value
`public static final char`
`QUESTION_CHAR`
`'?'`
`public static final char`
`SPACE_CHAR`
`' '`

ch.qos.logback.access.spi.IAccessEvent
Modifier and Type
Constant Field
Value
`public static final String`
`NA`
`"-"`
`public static final int`
`SENTINEL`
`-1`

ch.qos.logback.access.tomcat.LogbackValve
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FILENAME`
`"logback-access.xml"`

ch.qos.logback.classic.ClassicConstants
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_CALLEDER_DATA_DEPTH`
`8`
`public static final String`
`FINALIZE_SESSION`
`"FINALIZE_SESSION"`
`public static final String`
`GAFFER_CONFIGURATOR_FQCN`
`"ch.qos.logback.classic.gaffer.GafferConfigurator"`
`public static final String`
`JNDI_CONFIGURATION_RESOURCE`
`"java:comp/env/logback/configuration-resource"`
`public static final String`
`JNDI_CONTEXT_NAME`
`"java:comp/env/logback/context-name"`
`public static final String`
`LOGBACK_CONTEXT_SELECTOR`
`"logback.ContextSelector"`
`public static final int`
`MAX_DOTS`
`16`
`public static final String`
`REQUEST_METHOD`
`"req.method"`
`public static final String`
`REQUEST_QUERY_STRING`
`"req.queryString"`
`public static final String`
`REQUEST_REMOTE_HOST_MDC_KEY`
`"req.remoteHost"`
`public static final String`
`REQUEST_REQUEST_URI`
`"req.requestURI"`
`public static final String`
`REQUEST_REQUEST_URL`
`"req.requestURL"`
`public static final String`
`REQUEST_USER_AGENT_MDC_KEY`
`"req.userAgent"`
`public static final String`
`REQUEST_X_FORWARDED_FOR`
`"req.xForwardedFor"`
`public static final String`
`USER_MDC_KEY`
`"user"`
ch.qos.logback.classic.Level
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_INT`
`-2147483648`
`public static final int`
`DEBUG_INT`
`10000`
`public static final int`
`ERROR_INT`
`40000`
`public static final int`
`INFO_INT`
`20000`
`public static final int`
`OFF_INT`
`2147483647`
`public static final int`
`TRACE_INT`
`5000`
`public static final int`
`WARN_INT`
`30000`
ch.qos.logback.classic.LoggerContext
Modifier and Type
Constant Field
Value
`public static final boolean`
`DEFAULT_PACKAGING_DATA`
`false`
ch.qos.logback.classic.PatternLayout
Modifier and Type
Constant Field
Value
`public static final String`
`HEADER_PREFIX`
`"#logback.classic pattern: "`

ch.qos.logback.classic.boolex.JaninoEventEvaluator
Modifier and Type
Constant Field
Value
`public static final String`
`IMPORT_LEVEL`
`"import ch.qos.logback.classic.Level;\r\n"`

ch.qos.logback.classic.joran.ReconfigureOnChangeTask
Modifier and Type
Constant Field
Value
`public static final String`
`DETECTED_CHANGE_IN_CONFIGURATION_FILES`
`"Detected change in configuration files."`

ch.qos.logback.classic.joran.action.InsertFromJNDIAction
Modifier and Type
Constant Field
Value
`public static final String`
`AS_ATTR`
`"as"`
`public static final String`
`ENV_ENTRY_NAME_ATTR`
`"env-entry-name"`
ch.qos.logback.classic.joran.action.LoggerAction
Modifier and Type
Constant Field
Value
`public static final String`
`LEVEL_ATTRIBUTE`
`"level"`

ch.qos.logback.classic.net.SyslogAppender
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_STACKTRACE_PATTERN`
`"\t"`
`public static final String`
`DEFAULT_SUFFIX_PATTERN`
`"[%thread] %logger %msg"`

ch.qos.logback.classic.net.server.ServerSocketReceiver
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BACKLOG`
`50`

ch.qos.logback.classic.pattern.CallerDataConverter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CALLER_LINE_PREFIX`
`"Caller+"`
`public static final String`
`DEFAULT_RANGE_DELIMITER`
`".."`
ch.qos.logback.classic.pattern.ThrowableProxyConverter
Modifier and Type
Constant Field
Value
`protected static final int`
`BUILDER_CAPACITY`
`2048`

ch.qos.logback.classic.spi.CallerData
Modifier and Type
Constant Field
Value
`public static final int`
`LINE_NA`
`-1`
`public static final String`
`NA`
`"?"`
ch.qos.logback.classic.spi.ThrowableProxyUtil
Modifier and Type
Constant Field
Value
`public static final int`
`REGULAR_EXCEPTION_INDENT`
`1`
`public static final int`
`SUPPRESSED_EXCEPTION_INDENT`
`1`

ch.qos.logback.classic.turbo.DuplicateMessageFilter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_ALLOWED_REPETITIONS`
`5`
`public static final int`
`DEFAULT_CACHE_SIZE`
`100`
ch.qos.logback.classic.turbo.ReconfigureOnChangeFilter
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_REFRESH_PERIOD`
`60000L`

ch.qos.logback.classic.util.ContextInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`AUTOCONFIG_FILE`
`"logback.xml"`
`public static final String`
`CONFIG_FILE_PROPERTY`
`"logback.configurationFile"`
`public static final String`
`TEST_AUTOCONFIG_FILE`
`"logback-test.xml"`

ch.qos.logback.core.AsyncAppenderBase<E>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_FLUSH_TIME`
`1000`
`public static final int`
`DEFAULT_QUEUE_SIZE`
`256`
ch.qos.logback.core.BasicStatusManager
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_HEADER_COUNT`
`150`
`public static final int`
`TAIL_SIZE`
`150`
ch.qos.logback.core.CoreConstants
Modifier and Type
Constant Field
Value
`public static final int`
`BYTES_PER_INT`
`4`
`public static final String`
`CAUSED_BY`
`"Caused by: "`
`public static final String`
`CLF_DATE_PATTERN`
`"dd/MMM/yyyy:HH:mm:ss Z"`
`public static final String`
`CODES_URL`
`"http://logback.qos.ch/codes.html"`
`public static final char`
`COLON_CHAR`
`':'`
`public static final char`
`COMMA_CHAR`
`','`
`public static final String`
`CONFIGURATION_WATCH_LIST`
`"CONFIGURATION_WATCH_LIST"`
`public static final String`
`CONFIGURATION_WATCH_LIST_RESET_X`
`"CONFIGURATION_WATCH_LIST_RESET"`
`public static final String`
`CONTEXT_NAME_KEY`
`"CONTEXT_NAME"`
`public static final String`
`CONTEXT_SCOPE_VALUE`
`"context"`
`public static final int`
`CORE_POOL_SIZE`
`0`
`public static final char`
`CURLY_LEFT`
`'{'`
`public static final char`
`CURLY_RIGHT`
`'}'`
`public static final String`
`DAILY_DATE_PATTERN`
`"yyyy-MM-dd"`
`public static final char`
`DASH_CHAR`
`'-'`
`public static final String`
`DEFAULT_CONTEXT_NAME`
`"default"`
`public static final String`
`DEFAULT_VALUE_SEPARATOR`
`":-"`
`public static final String`
`DISABLE_SERVLET_CONTAINER_INITIALIZER_KEY`
`"logbackDisableServletContainerInitializer"`
`public static final char`
`DOLLAR`
`'$'`
`public static final char`
`DOT`
`'.'`
`public static final char`
`DOUBLE_QUOTE_CHAR`
`'\"'`
`public static final String`
`EMPTY_STRING`
`""`
`public static final char`
`ESCAPE_CHAR`
`'\\'`
`public static final String`
`EVALUATOR_MAP`
`"EVALUATOR_MAP"`
`public static final String`
`FA_FILENAME_COLLISION_MAP`
`"FA_FILENAME_COLLISION_MAP"`
`public static final String`
`HOSTNAME_KEY`
`"HOSTNAME"`
`public static final String`
`ISO8601_PATTERN`
`"yyyy-MM-dd HH:mm:ss,SSS"`
`public static final String`
`ISO8601_STR`
`"ISO8601"`
`public static final String`
`JNDI_COMP_PREFIX`
`"java:comp/env"`
`public static final String`
`JNDI_JAVA_NAMESPACE`
`"java:"`
`public static final char`
`LEFT_PARENTHESIS_CHAR`
`'('`
`public static final String`
`MANUAL_URL_PREFIX`
`"http://logback.qos.ch/manual/"`
`public static final int`
`MAX_ERROR_COUNT`
`4`
`public static final int`
`MAX_POOL_SIZE`
`32`
`public static final long`
`MILLIS_IN_ONE_DAY`
`86400000L`
`public static final long`
`MILLIS_IN_ONE_HOUR`
`3600000L`
`public static final long`
`MILLIS_IN_ONE_MINUTE`
`60000L`
`public static final long`
`MILLIS_IN_ONE_SECOND`
`1000L`
`public static final long`
`MILLIS_IN_ONE_WEEK`
`604800000L`
`public static final String`
`MORE_INFO_PREFIX`
`"For more information, please visit "`
`public static final int`
`OOS_RESET_FREQUENCY`
`70`
`public static final String`
`PATTERN_RULE_REGISTRY`
`"PATTERN_RULE_REGISTRY"`
`public static final char`
`PERCENT_CHAR`
`'%'`
`public static final String`
`RECONFIGURE_ON_CHANGE_TASK`
`"RECONFIGURE_ON_CHANGE_TASK"`
`public static final String`
`RESET_MSG_PREFIX`
`"Will reset and reconfigure context "`
`public static final String`
`RFA_FILENAME_PATTERN_COLLISION_MAP`
`"RFA_FILENAME_PATTERN_COLLISION_MAP"`
`public static final char`
`RIGHT_PARENTHESIS_CHAR`
`')'`
`public static final String`
`SAFE_JORAN_CONFIGURATION`
`"SAFE_JORAN_CONFIGURATION"`
`public static final int`
`SCHEDULED_EXECUTOR_POOL_SIZE`
`8`
`public static final int`
`SECONDS_TO_WAIT_FOR_COMPRESSION_JOBS`
`30`
`public static final String`
`SEE_FNP_NOT_SET`
`"See also http://logback.qos.ch/codes.html#tbr_fnp_not_set"`
`public static final String`
`SEE_MISSING_INTEGER_TOKEN`
`"See also http://logback.qos.ch/codes.html#sat_missing_integer_token"`
`public static final String`
`SHUTDOWN_HOOK_THREAD`
`"SHUTDOWN_HOOK"`
`public static final char`
`SINGLE_QUOTE_CHAR`
`'\''`
`public static final String`
`SIZE_AND_TIME_BASED_FNATP_IS_DEPRECATED`
`"SizeAndTimeBasedFNATP is deprecated. Use SizeAndTimeBasedRollingPolicy instead"`
`public static final String`
`STATUS_LISTENER_CLASS_KEY`
`"logback.statusListenerClass"`
`public static final String`
`SUPPRESSED`
`"Suppressed: "`
`public static final String`
`SYSOUT`
`"SYSOUT"`
`public static final char`
`TAB`
`'\t'`
`public static final int`
`TABLE_ROW_LIMIT`
`10000`
`public static final int`
`UNBOUND_HISTORY`
`0`
`public static final long`
`UNBOUNDED_TOTAL_SIZE_CAP`
`0L`
`public static final String`
`UNDEFINED_PROPERTY_SUFFIX`
`"_IS_UNDEFINED"`
`public static final String`
`UNKNOWN_LOCALHOST`
`"UNKNOWN_LOCALHOST"`
`public static final String`
`VALUE_OF`
`"valueOf"`
`public static final String`
`WRAPPED_BY`
`"Wrapped by: "`
`public static final String`
`XML_PARSING`
`"XML_PARSING"`
ch.qos.logback.core.FileAppender<E>
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_BUFFER_SIZE`
`8192L`

ch.qos.logback.core.boolex.JaninoEventEvaluatorBase<E>
Modifier and Type
Constant Field
Value
`public static final int`
`ERROR_THRESHOLD`
`4`

ch.qos.logback.core.joran.action.Action
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_CLASS_ATTRIBUTE`
`"actionClass"`
`public static final String`
`CLASS_ATTRIBUTE`
`"class"`
`public static final String`
`FILE_ATTRIBUTE`
`"file"`
`public static final String`
`KEY_ATTRIBUTE`
`"key"`
`public static final String`
`NAME_ATTRIBUTE`
`"name"`
`public static final String`
`PATTERN_ATTRIBUTE`
`"pattern"`
`public static final String`
`SCOPE_ATTRIBUTE`
`"scope"`
`public static final String`
`VALUE_ATTRIBUTE`
`"value"`
ch.qos.logback.core.joran.action.ActionConst
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_CLASS_ATTRIBUTE`
`"actionClass"`
`public static final String`
`ADDITIVITY_ATTRIBUTE`
`"additivity"`
`public static final String`
`APPENDER_BAG`
`"APPENDER_BAG"`
`public static final String`
`APPENDER_TAG`
`"appender"`
`public static final String`
`CONVERSION_WORD_ATTRIBUTE`
`"conversionWord"`
`public static final String`
`CONVERTER_CLASS_ATTRIBUTE`
`"converterClass"`
`public static final String`
`INHERITED`
`"INHERITED"`
`public static final String`
`LEVEL_ATTRIBUTE`
`"level"`
`public static final String`
`NULL`
`"NULL"`
`public static final String`
`PATTERN_ATTRIBUTE`
`"pattern"`
`public static final String`
`REF_ATTRIBUTE`
`"ref"`
`public static final String`
`VALUE_ATTR`
`"value"`

ch.qos.logback.core.joran.conditional.IfAction
Modifier and Type
Constant Field
Value
`public static final String`
`MISSING_JANINO_MSG`
`"Could not find Janino library on the class path. Skipping conditional processing."`
`public static final String`
`MISSING_JANINO_SEE`
`"See also http://logback.qos.ch/codes.html#ifJanino"`

ch.qos.logback.core.joran.spi.XMLUtil
Modifier and Type
Constant Field
Value
`public static final int`
`ILL_FORMED`
`1`
`public static final int`
`UNRECOVERABLE_ERROR`
`2`

ch.qos.logback.core.joran.util.beans.BeanUtil
Modifier and Type
Constant Field
Value
`public static final String`
`PREFIX_ADDER`
`"add"`
`public static final String`
`PREFIX_GETTER_GET`
`"get"`
`public static final String`
`PREFIX_GETTER_IS`
`"is"`
`public static final String`
`PREFIX_SETTER`
`"set"`

ch.qos.logback.core.net.AbstractSocketAppender<E>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PORT`
`4560`
`public static final int`
`DEFAULT_QUEUE_SIZE`
`128`
`public static final int`
`DEFAULT_RECONNECTION_DELAY`
`30000`
ch.qos.logback.core.net.SyslogConstants
Modifier and Type
Constant Field
Value
`public static final int`
`ALERT_SEVERITY`
`1`
`public static final int`
`CRITICAL_SEVERITY`
`2`
`public static final int`
`DEBUG_SEVERITY`
`7`
`public static final int`
`EMERGENCY_SEVERITY`
`0`
`public static final int`
`ERROR_SEVERITY`
`3`
`public static final int`
`INFO_SEVERITY`
`6`
`public static final int`
`LOG_ALERT`
`112`
`public static final int`
`LOG_AUDIT`
`104`
`public static final int`
`LOG_AUTH`
`32`
`public static final int`
`LOG_AUTHPRIV`
`80`
`public static final int`
`LOG_CLOCK`
`120`
`public static final int`
`LOG_CRON`
`72`
`public static final int`
`LOG_DAEMON`
`24`
`public static final int`
`LOG_FTP`
`88`
`public static final int`
`LOG_KERN`
`0`
`public static final int`
`LOG_LOCAL0`
`128`
`public static final int`
`LOG_LOCAL1`
`136`
`public static final int`
`LOG_LOCAL2`
`144`
`public static final int`
`LOG_LOCAL3`
`152`
`public static final int`
`LOG_LOCAL4`
`160`
`public static final int`
`LOG_LOCAL5`
`168`
`public static final int`
`LOG_LOCAL6`
`176`
`public static final int`
`LOG_LOCAL7`
`184`
`public static final int`
`LOG_LPR`
`48`
`public static final int`
`LOG_MAIL`
`16`
`public static final int`
`LOG_NEWS`
`56`
`public static final int`
`LOG_NTP`
`96`
`public static final int`
`LOG_SYSLOG`
`40`
`public static final int`
`LOG_USER`
`8`
`public static final int`
`LOG_UUCP`
`64`
`public static final int`
`NOTICE_SEVERITY`
`5`
`public static final int`
`SYSLOG_PORT`
`514`
`public static final int`
`WARNING_SEVERITY`
`4`

ch.qos.logback.core.net.server.AbstractServerSocketAppender<E>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BACKLOG`
`50`
`public static final int`
`DEFAULT_CLIENT_QUEUE_SIZE`
`100`

ch.qos.logback.core.net.ssl.SSL
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_KEYSTORE_PASSWORD`
`"changeit"`
`public static final String`
`DEFAULT_KEYSTORE_TYPE`
`"JKS"`
`public static final String`
`DEFAULT_PROTOCOL`
`"SSL"`
`public static final String`
`DEFAULT_SECURE_RANDOM_ALGORITHM`
`"SHA1PRNG"`

ch.qos.logback.core.pattern.color.ANSIConstants
Modifier and Type
Constant Field
Value
`public static final String`
`BLACK_FG`
`"30"`
`public static final String`
`BLUE_FG`
`"34"`
`public static final String`
`BOLD`
`"1;"`
`public static final String`
`CYAN_FG`
`"36"`
`public static final String`
`DEFAULT_FG`
`"39"`
`public static final String`
`ESC_END`
`"m"`
`public static final String`
`ESC_START`
`"\u001b["`
`public static final String`
`GREEN_FG`
`"32"`
`public static final String`
`MAGENTA_FG`
`"35"`
`public static final String`
`RED_FG`
`"31"`
`public static final String`
`WHITE_FG`
`"37"`
`public static final String`
`YELLOW_FG`
`"33"`

ch.qos.logback.core.pattern.parser.Parser<E>
Modifier and Type
Constant Field
Value
`public static final String`
`MISSING_RIGHT_PARENTHESIS`
`"http://logback.qos.ch/codes.html#missingRightParenthesis"`
`public static final String`
`REPLACE_CONVERTER_WORD`
`"replace"`

ch.qos.logback.core.recovery.RecoveryCoordinator
Modifier and Type
Constant Field
Value
`public static final long`
`BACKOFF_COEFFICIENT_MIN`
`20L`
`public static final long`
`BACKOFF_MULTIPLIER`
`4L`

ch.qos.logback.core.rolling.FixedWindowRollingPolicy
Modifier and Type
Constant Field
Value
`public static final String`
`ZIP_ENTRY_DATE_PATTERN`
`"yyyy-MM-dd_HHmm"`
ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy<E>
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_MAX_FILE_SIZE`
`10485760L`
`public static final String`
`SEE_SIZE_FORMAT`
`"http://logback.qos.ch/codes.html#sbtp_size_format"`

ch.qos.logback.core.rolling.helper.DateTokenConverter<E>
Modifier and Type
Constant Field
Value
`public static final String`
`AUXILIARY_TOKEN`
`"AUX"`
`public static final String`
`CONVERTER_KEY`
`"d"`
`public static final String`
`DEFAULT_DATE_PATTERN`
`"yyyy-MM-dd"`
ch.qos.logback.core.rolling.helper.IntegerTokenConverter
Modifier and Type
Constant Field
Value
`public static final String`
`CONVERTER_KEY`
`"i"`
ch.qos.logback.core.rolling.helper.TimeBasedArchiveRemover
Modifier and Type
Constant Field
Value
`protected static final long`
`INACTIVITY_TOLERANCE_IN_MILLIS`
`2764800000L`
`protected static final long`
`UNINITIALIZED`
`-1L`

ch.qos.logback.core.sift.DefaultDiscriminator<E>
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT`
`"default"`

ch.qos.logback.core.spi.AbstractComponentTracker<C>
Modifier and Type
Constant Field
Value
`public static final long`
`LINGERING_TIMEOUT`
`10000L`
`public static final long`
`WAIT_BETWEEN_SUCCESSIVE_REMOVAL_ITERATIONS`
`1000L`
ch.qos.logback.core.spi.ComponentTracker<C>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_COMPONENTS`
`2147483647`
`public static final int`
`DEFAULT_TIMEOUT`
`1800000`

ch.qos.logback.core.status.Status
Modifier and Type
Constant Field
Value
`public static final int`
`ERROR`
`2`
`public static final int`
`INFO`
`0`
`public static final int`
`WARN`
`1`

ch.qos.logback.core.util.FileSize
Modifier and Type
Constant Field
Value
`public static final long`
`GB_COEFFICIENT`
`1073741824L`
`public static final long`
`KB_COEFFICIENT`
`1024L`
`public static final long`
`MB_COEFFICIENT`
`1048576L`
ch.qos.logback.core.util.InvocationGate
Modifier and Type
Constant Field
Value
`public static final long`
`TIME_UNAVAILABLE`
`-1L`
ch.qos.logback.core.util.Loader
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_TCL_PROPERTY_NAME`
`"logback.ignoreTCL"`
ch.qos.logback.core.util.LocationUtil
Modifier and Type
Constant Field
Value
`public static final String`
`CLASSPATH_SCHEME`
`"classpath:"`
`public static final String`
`SCHEME_PATTERN`
`"^\\p{Alpha}[\\p{Alnum}+.-]*:.*$"`